#ifndef __SETUP
#include	"..\ass_prg\c_setup.h"
#endif

#include	<portab.h>

#if defined(__ATI__)
	#include	"..\ass_prg\c_ati.h"
#elif defined(__ATI2__)
	#include	"..\ass_prg\c_ati2.h"
#else
	#ifdef __CRAZY_DOTS
		#ifdef __TT
			#define VGA_ADR		(UBYTE *)(0xfec00000L)
			#define VGA_SCREEN	(UBYTE *)(0xfec00000L)
			#define IO_BASE		(UBYTE *)(0xfebf8000L)
		#else
			#ifdef __STE
				#define VGA_ADR		(UBYTE *)(0xc00000L)
				#define VGA_SCREEN	(UBYTE *)(0xc00000L)
				#define IO_BASE		(UBYTE *)(0xbf8000L)
			#else
				#define VGA_ADR		(UBYTE *)(0xc00000L)
				#define VGA_SCREEN	(UBYTE *)(0xc00000L)
				#define IO_BASE		(UBYTE *)(0xffff8000L)
			#endif
		#endif
		#define SCR_SIZE1		0x100000L
		#define SCR_SIZE2		0x100000L
	#else
		#ifdef __STE
			#if __ADAP__ == 0
				#define VGA_ADR		(UBYTE *)(0xc00000L)
				#define VGA_SCREEN	(UBYTE *)(0xc00000L)
				#define IO_BASE		(UBYTE *)(0xdc8000L)
			#else
				#define VGA_ADR		(UBYTE *)(0xc00000L)
				#define VGA_SCREEN	(UBYTE *)(0xc00000L)
				#define IO_BASE		(UBYTE *)(0xd08000L)
			#endif
			#define SCR_SIZE1		0x100000L
			#define SCR_SIZE2		0x100000L
		#else
			#ifdef __TT
				#ifndef __PANTHER
					#define VGA_ADR		(UBYTE *)(0xfec00000L)
					#define VGA_SCREEN	(UBYTE *)(0xfec00000L)
					#define IO_BASE		(UBYTE *)(0xfedc8000L)
					#define SCR_SIZE1		0x100000L
					#define SCR_SIZE2		0x100000L
				#else
					#define VGA_ADR		(UBYTE *)(0xfec00000L)
					#define VGA_SCREEN	(UBYTE *)(0xfec00000L)
					#define IO_BASE		(UBYTE *)(0xfed08000L)
					#define SCR_SIZE1		0x100000L
					#define SCR_SIZE2		0x100000L
				#endif
			#else
				#ifdef __PANTHER
					#define VGA_ADR		(UBYTE *)(0xc00000L)
					#define VGA_SCREEN	(UBYTE *)(0xc00000L)
					#define IO_BASE		(UBYTE *)(0xd08000L)
					#define SCR_SIZE1		0x100000L
					#define SCR_SIZE2		0x100000L
				#else
					#ifdef __HADES
						#ifdef __PCI
							#define VGA_ADR		(UBYTE *)(0x80000000L)
							#define VGA_SCREEN	(UBYTE *)(0x80000000L)
							#define IO_BASE		(UBYTE *)(0xb0008000L)
							#define SCR_SIZE1		0x100000L
							#define SCR_SIZE2		0x100000L
						#else
							#define VGA_ADR		(UBYTE *)(0xff000000L)
							#define VGA_SCREEN	(UBYTE *)(0xff000000L)
							#define IO_BASE		(UBYTE *)(0xfff08000L)
							#define SCR_SIZE1		0x100000L
							#define SCR_SIZE2		0x100000L
						#endif
					#else
						;I/O-Adressen fr MEGA ST
						#define VGA_ADR		(UBYTE *)(0xc00000L)
						#define VGA_SCREEN	(UBYTE *)(0xc00000L)
						#define IO_BASE		(UBYTE *)(0xcc8000L)
						#define SCR_SIZE1		0x100000L
						#define SCR_SIZE2		0x100000L
					#endif
				#endif
			#endif
		#endif
	#endif

	#define HERC_COMP		(int)(0x03bf-0x8000)
	#define ATTR_CONTR	(int)(0x03c0-0x8000)
	#define VIDEO_ENABLE	(int)(0x03c3-0x8000)
	#define INP_STAT_0	(int)(0x03c2-0x8000)
	#define MISC_OUT_R	(int)(0x03cc-0x8000)
	#define MISC_OUT_W	(int)(0x03c2-0x8000)
	#define SEQU_CONTR	(int)(0x03c4-0x8000)
	#define DAC_MASK		(int)(0x03c6-0x8000)
	#define DAC_READ		(int)(0x03c7-0x8000)
	#define DAC_WRITE		(int)(0x03c8-0x8000)
	#define DAC_DATA		(int)(0x03c9-0x8000)
	#define SEG_SELECT	(int)(0x03cd-0x8000)
	#define GRAPH_CONTR	(int)(0x03ce-0x8000)
	#define CRT_CONTR		(int)(0x03d4-0x8000)
	#define MODE_CONTR	(int)(0x03d8-0x8000)
	#define INP_STAT_1	(int)(0x03da-0x8000)

	#ifdef __CRAZY_DOTS
		#define CLOCK_SEL		0x0000-0x8000
	#endif

	#ifdef __W32__
		#define MREG_BASE		(VGA_SCREEN + 0xAFF00L)
		#define APERT0			(VGA_SCREEN + 0xA8000L)
	#endif
#endif
