#ifndef __WORK
#define __WORK

#include	<portab.h>
#include	"..\ASS_PRG\C_FONT.H"
#include	"..\ass_prg\jmpstruc.h"

typedef struct _work
{
	int	chup;					/* Rotationsgrad fr Text						*/
	UINT	dda_inc;				/* Vergrerungswert fr Text					*/
	FONT_HDR *cur_font;		/* aktueller Font									*/
	int	multifill;			/* Flag fr multifill							*/
	UINT	patmsk,				/* analog Line-A									*/
			*patptr;				/*       "											*/
	void	*scrtchp;			/* analog Line-A									*/
	int	tsmode;				/* Grenmodus fr Text (Punkt/absolut)	*/
	int	scrpt2,				/*       "											*/
			style,				/*       "											*/
			t_sclsts,			/*       "											*/
			pg_col,				/* Fllfarbe fr Polygone						*/
			fill_styl,			/* Fill Style Index								*/
			fill_per,			/* Randflag fr gefllte Flchen				*/
			fill_int,			/* Fill Interior Style							*/
			halign,				/* Horizontal Ausrichtung von Text			*/
			handle,				/* Handle dieser virt. Workstation			*/
			beg_styl,			/* Linienbeginn									*/
			pl_col,				/* Farbe fr Polyline							*/
			end_styl,			/* Linienende										*/
			pl_type,				/* Polylinelinientyp								*/
			pl_width;			/* Breite fr Polyline							*/
	int	fnt_cnt;				/* Anzahl Textfaces								*/
	FONT_HDR *ld_fnts;		/* Zeiger auf geladene Fonts					*/
	int	pm_col,				/* Farbe fr Polymarker							*/
			pm_height,			/* Gre fr Polymarker							*/
			pm_type,				/* Polymarkertyp									*/
			pm_rel;				/* relative Markergre							*/
	struct _work *next;		/* Zeiger auf nchste virt. Arbeitsstation*/
	int	scale,				/* analog Line-A									*/
			lin_styl[6],		/* vordefinierte Linienmuster					*/
			user_line;			/* benutzerdefiniertes Linienmuster			*/
	FONT_HDR font;				/* Fontheader fr skalierte Fonts			*/
	int	tx_col,				/* Textfarbe										*/
			user_fill[512],	/* benutzerdefiniertes Fllmuster			*/
			valign,				/* vertikale Ausrichtung von Text			*/
			wrt_mode,			/* analog Line-A									*/
			ndc_rc;				/* Flag fr NDC/RC-Koordinatensystem		*/
	int	clip,					/* Clippingflag									*/
			xmn_clip,			/* analog Line-A									*/
			ymn_clip,			/*       "      									*/
			xmx_clip,			/*       "      									*/
			ymx_clip;			/*       "      									*/
	int	fll_chng;			/* Flag, ob sich Fllparameter verndert haben */
	char	fill_conv[1024];	/* konvertiertes Fllmuster fr 256/32K-Farbmodi */
	int	ln_mask;				/* aktuelles Linienmuster */
	UWORD	bytes_ln;			/* Bytes pro Zeile */
	long	phys_col;			/* phyikalischer Farbwert (32k) */
									/* Koordinaten fr Linie */
	WORD	x1, y1;				/* x1, y1 bei Text: Zielkoordinate auf Bildschirm, destx/y */
	WORD	x2, y2;				/* x2, y2 bei Text: Position des Zeichens im Font, sourcex/y */
	UWORD	*wpatptr;			/* Arbeits-patptr */
	UBYTE	*vdi_clut;			/* Zeiger auf VDI-CLUT */
	UBYTE	*p_clut;				/* Zeiger auf physikalische CLUT */
									/* Zeiger auf Parameter-Arrays */
	WORD	*contrl, *intin, *ptsin, *intout, *ptsout;
									/* Variablen, die frher in Line-A waren */
	WORD	wmulti;				/* Flag, ob farbiges Fllmuster */
	WORD	mono_status;
	WORD	weight;
	WORD	litemask;
	WORD	l_off, r_off;
	WORD	skewmask;
	WORD	text_fg, text_bg;
	WORD	fwidth;
	WORD	delx, dely;
	WORD	xacc_dda;
	WORD	screen;				/* !=0: Wkst. fr Bildschirm */
	FONT_HDR	*fbase;
	void	*v_bas_ad;
	WORD	max_x, max_y;
	WORD	planes;
	WORD	owner;				/* !=0: Speicher wurde von Treiber alloziert */
	JMP_STRUC	*jmp;			/* Zeiger auf Struktur mit Sprungvektoren */
									/* Pixelgre x und y in um */
	WORD	pix_size_x, pix_size_y;
} WORK;
#endif