#ifndef __RES
#define __RES

#if 0
#ifndef __SETUP
#include	"c_setup.h"
#endif
#endif

#include	<portab.h>

/* Auflsungsstruktur */
/* Lnge der Struktur: 86 Bytes */
typedef struct
{
	char	name[34];				/* Name der Auflsung */
										/* Fr Nicht-C-Programmierer: */
										/* der Offset der nchsten Variablen */
										/* zum Strukturstart betrgt 34 Bytes */
	char	flags;
	char	mode;						/* Auflsungsart (siehe ICB.H) */
	int	bypl;						/* Bytes pro Zeile */
	int	planes;					/* Anzahl Planes */
	unsigned int	colors;		/* Anzahl Farben */
	int	hc_mode;					/* Hardcopy-Modus */
	int	max_x, max_y;			/* maximale x- und y-Koordinate */
	int	real_x, real_y;		/* reale max. x- und y-Koordinate */
										/* folgende Variablen sollten nicht */
										/* beachtet werden */
	int	freq;						/* Frequenz in MHz */
	char	freq2;					/* 2. Frequenz (SIGMA Legend II) */
	char	low_res;					/* halbe Pixelrate */
										/* Bit 2: Erweiterungsbit fr h_total */
	UBYTE	r_3c2;					/* Register 3c2 */
	UBYTE	r_3d4[25];				/* Register 3d4, Index 0 bis $18 */
	UBYTE	extended[3];			/* Register 3d4, Index $33 bis $35 */
} RESOLUTION;

#endif
